plugins {
    id 'com.android.application'
}
//apply plugin: 'com.android.application'
android {
    compileSdkVersion 30
    buildToolsVersion "30.0.2"

    defaultConfig {
        applicationId "com.stu.assistant"
        minSdkVersion 16
        targetSdkVersion 30
        versionCode 1
        versionName "1.0.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    signingConfigs {
        release {
            storeFile file('I:\\code\\OtherAPP\\ScanCode\\standard.jks')
            storePassword 'cpscapp'
            keyAlias 'app'
            keyPassword 'cpscapp'
        }
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'

    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'com.gyf.immersionbar:immersionbar:3.0.0'
//    implementation 'com.android.support:multidex:1.0.2'
//    implementation 'com.google.code.gson:gson:2.8.2'
    implementation 'com.contrarywind:Android-PickerView:4.1.6'//时间选择器
    implementation 'com.androidkun:XTabLayout:1.1.3'
    implementation 'com.github.bumptech.glide:glide:4.8.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.8.0'
    implementation 'com.lzy.net:okgo:3.0.4'
    implementation 'com.lzy.net:okrx2:2.0.2'
    implementation 'com.tencent.bugly:crashreport:latest.release'
    implementation 'com.yanyusong.y_divideritemdecoration:y_divideritemdecoration:2.0'
//    annotationProcessor 'com.jakewharton:butterknife-compiler:10.2.1'
//    implementation 'com.jakewharton:butterknife:10.2.1'

    implementation 'io.github.bmob:android-sdk:3.8.11'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.8'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    implementation 'com.squareup.okhttp3:okhttp:4.8.1'
    implementation 'com.squareup.okio:okio:2.2.2'
    implementation 'com.google.code.gson:gson:2.8.5'
}